%define version 1.35

Summary: Man (manual) pages from the Linux Documentation Project.
Name: man-pages
Version: %{version}
Release: 2mdk
Copyright: GPL-style
Group: System/Internationalization
Source: ftp://ftp.win.tue.nl/pub/linux/docs/manpages/man-pages-%{version}.tar.bz2
Source1: rpcgen.1
Source2: netman-cvs.tar.bz2
URL: ftp://ftp.kernel.org/pub/linux/docs/manpages/
# Where to find it ????
Source3: man9-19971126.tar.bz2
Source4: man-pages-goodies.tar.bz2
Patch3: man-pages-1.23-ftw.patch.bz2
Icon: books-en.gif
Buildroot: %{_tmppath}/man-pages
Autoreqprov: false
BuildArchitectures: noarch
Obsoletes: man9

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP).  The man pages are organized into the
following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)
        Section 9:  Kernel internal routines

%prep
%setup -q -a 2
cp -a %{SOURCE1} man1
for i in 2 3 4 ; do 
    mv *.$i man$i
done

%build
tar xvfy %{SOURCE3}
rm -fv man1/{diff,chgrp,chmod,chown,cp,dd,df,dircolors,du,install,dir,vdir}.1
rm -fv man1/{ln,ls,mkdir,mkfifo,mknod,mv,rm,rmdir,touch}.1
rm -fv man2/modules.2 man2/quotactl.2 man2/get_kernel_syms.2 
rm -fv man2/{create,delete,init,query}_module.2
rm -fv man3/resolver.3
rm -fv man3/getnetent.3
rm -fv man4/console.4
rm -fv man5/exports.5
rm -fv man5/nfs.5
rm -fv man5/fstab.5
rm -fv man4/fd.4

# those conflict with ld.so package
rm -rf man3/{dlclose,dlerror,dlopen,dlsym}.3
# this one conflicts with bind-utils
rm -rf man5/resolver.5

mv man1/COPYING .
mv man1/README README.GNU-INFOvsMAN

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_mandir}
for n in 1 2 3 4 5 6 7 8 9; do
	mkdir $RPM_BUILD_ROOT/%{_mandir}/man$n
done
for n in man?/*; do
	cp -a $n $RPM_BUILD_ROOT/%{_mandir}/$n
done

tar jxvf $RPM_SOURCE_DIR/man-pages-goodies.tar.bz2 -C $RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,755)
%doc COPYING README* *.Announce FIXME
%{_mandir}/man*/*

%changelog
* Tue Mar 27 2001 Pixel <pixel@mandrakesoft.com> 1.35-2mdk
- remove the require locales-en (otherwise man-pages are only installed for
english installs)

* Mon Mar 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.35-1mdk
- 1.35.

* Mon Dec 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.34-1mdk
- new and shiny man-pages.

* Wed Dec 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.33-1mdk
- new version

* Mon Dec 11 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.32-1mdk
- untar filter with bzip2 the right way: use -j.
- new and shiny man-pages for everyone to read.

* Wed Dec  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.31-2mdk
- Remove diff manpages from here.

* Wed Aug 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.31-1mdk
- new release

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.30-4mdk
- fix permissions

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.30-3mdk
- build release for BM

* Tue Jun 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.30-2mdk
- Add URL
- Use mandir macros for FHS compatibilty

* Mon Jun 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.30-1mdk
- new release (1.30 : various fixes & a few more pages)
- suppress the tzet path which is now useless

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.29-4mdk
- Rebuild with the good spec-helper to remove orphan link to orphan
  man-page.

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new group scheme
- spechelper

* Fri Mar 17 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.29-2mdk
- removed various pages that conflict with pages included in new
  rpm packages (ld.so and bind-utils)

* Wed Mar 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.29-1mdk
- 1.29 is out
- moved man1/{COPYING,README} to /usr/doc

* Fri Feb 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.28-3mdk
- Remove dir and vdir.1 (conflicts with last fileutils).

* Wed Jan 26 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added humoristic man pages sex(6), baby(1) and guru(n).

* Mon Nov 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.28

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added requires locales-en (english man pages require english lang. support)
- added nice icon similar to other man-pages-* packages
- added obsoletes man9 (as we now include the man9 pages)

* Wed Aug 25 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.26
- add man9

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.25.

* Mon Jun 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.24 version.
- Removed some obsolete patchs.

* Mon May 24 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- remove fd.4 - we get a far more recent version from fdutils
